diff --git a/src/cqueues.c b/src/cqueues.c
index d452640..31ef3d6 100644
--- a/src/cqueues.c
+++ b/src/cqueues.c
@@ -2049,7 +2049,12 @@ static cqs_status_t cqueue_resume(lua_State *L, struct cqueue *Q, struct callinf
 
 	cstack_push(Q->cstack, &(struct stackinfo){ Q, L, I->self, T->L });
 
+#if LUA_VERSION_NUM < 504
 	status = lua_resume(T->L, L, nargs);
+#else
+	int dummy = 0;
+	status = lua_resume(T->L, L, nargs, &dummy);
+#endif
 
 	cstack_pop(Q->cstack);
 
